

Article 9831 of comp.archives:
Path: Intrepid!moe.ksu.ksu.edu!zaphod.mps.ohio-state.edu!ncar!elroy.jpl.nasa.gov!ames!agate!agate!usenet
>From: [email-masked] (Sharolynn Woodward)
Newsgroups: comp.archives
Subject: [comp.edu] Circuit and Gate Simulation Package
Message-ID: <[email-masked]>
Date: 3 Aug 92 07:44:05 GMT
References: <[email-masked]>
Followup-To: comp.edu
Distribution: world
Organization: University of Saskatchewan, Saskatoon, Canada
Lines: 81
Approved: [email-masked]
NNTP-Posting-Host: soda.berkeley.edu
X-Original-Newsgroups: comp.edu
X-Original-Date: Thu, 30 Jul 1992 16:20:01 GMT

Archive-name: auto/comp.edu/Circuit-and-Gate-Simulation-Package

Thanks to everyone who responded to my request for a circuit
and gate simulation package for use in one of our 
undergraduate courses. 

The following is a brief summary of the info I received: 

1. Galaxy

"The Galaxy CAD System is an integrated environment for 
digital design and for rapid prototyping of CAD tools and 
other software. The system currently includes schematic 
capture and simulation of both low-level and high-level 
digital designs, capture and simulation of state diagrams 
and hardware flowcharts, synthesis of Intel EPLD's and 
mapping of logic into physical boards. 

"Runs on most 680X0 platforms, including the Apple 
Macintosh, HP 9000/3XX/4XX, Sun-3, Apollo Domain, and 
Atari ST. Versions for Intel 386+ and RISC workstations 
are under development. 

Available via anonymous FTP from eceserv0.ece.wisc.edu 
(128.104.38.25) 

(above taken from the product announcement posted to 
comp.sys.mac on 1 Apr 92; thanks to golan.cs.wisc.edu 
for the pointer in this direction) 

2. Logic Simulator

"provides a modest library of built-in primitive elements 
as well as the capability for macro definitions and expansions. 
In addition to the many gate types provided, functional 
elements including latches, shift registers, counters, 
multiplexers, decoders, rams, roms and microprocessors 
are available. The primitive, multiple-input gate types 
allow an arbitrary number of inputs, and the 
functionally-modeled elements such as counters 
and registers can have any bit-width. 

"Users, from simple logic gate exercising (with an i
nteractive screen-graphics display), to the implementation 
of complete computers are feasible. 

Runs on Sun-SPARC (OpenLook) and PC (DOS). 

Available via anonymous ftp from acs.msu.edu (35.8.56.90) 

(thanks to [email-masked] for the above info) 

3. PSpice

"a Mac implementation of SPICE

Available via anonymous ftp from sumex-aim.stanford.edu
 as the file /info-mac/app/pspice-51.hqx 

4. DigSim

Possibly available from sumex-aim.stanford.edu 
(although I haven't been able to get a connection there 
to confirm this) 

(Thanks to [email-masked] for the leads on
 PSpice and DigSim) 

5. Designworks

This is a CAD tool from Capilano Computing that
accompanies the text "Digital Logic and Computer Design" 
by T.R. McCalla, available from Maxwell MacMillan 
publishers. I am waiting for the book rep to return my 
calls regarding an evaluation copy of this product, 
since the faculty member who wants the software 
is now considering the adoption of this text. 

We have yet to fully evaluate these possibilities; 
I'll post again later to pass on our findings.